=== src/CMakeLists.txt ===
set(cxsc_src
  src/cdot.cpp
  src/cidot.cpp
  src/cimath.cpp
  src/cimatrix.cpp
  src/cinterval.cpp
  src/civector.cpp
  src/cmatrix.cpp
  src/complex.cpp
  src/cvector.cpp
  src/dot.cpp
  src/dotio.cpp
  src/except.cpp
  src/idot.cpp
  src/imath.cpp
  src/imatrix.cpp
  src/interval.cpp
  src/intmatrix.cpp
  src/intvector.cpp
  src/ioflags.cpp
  src/ivector.cpp
  src/l_cimath.cpp
  src/l_cinterval.cpp
  src/l_cmath.cpp
  src/l_complex.cpp
  src/l_imath.cpp
  src/l_imatrix.cpp
  src/l_interval.cpp
  src/l_ivector.cpp
  src/l_real.cpp
  src/l_rmath.cpp
  src/l_rmatrix.cpp
  src/l_rvector.cpp
  src/lx_cinterval.cpp
  src/lx_civector.cpp
  src/lx_complex.cpp
  src/lx_interval.cpp
  src/lx_ivector.cpp
  src/lx_real.cpp
  src/matrix.cpp
  src/real.cpp
  src/realio.cpp
  src/rmath.cpp
  src/rmatrix.cpp
  src/rvector.cpp
  src/scimatrix.cpp
  src/scivector.cpp
  src/scmatrix.cpp
  src/scvector.cpp
  src/simatrix.cpp
  src/sivector.cpp
  src/srmatrix.cpp
  src/srvector.cpp
)
