=== CToolbox/Modules/CMakeLists.txt ===
set(ctoolbox_src
  CToolbox/Modules/ci_util.cpp
  CToolbox/Modules/cipoly.cpp
  CToolbox/Modules/cpoly.cpp
  CToolbox/Modules/cpzero.cpp
  CToolbox/Modules/ddf_ari.cpp
  CToolbox/Modules/expreval.cpp
  CToolbox/Modules/fastlss.cpp
  CToolbox/Modules/gop.cpp
  CToolbox/Modules/gop1.cpp
  CToolbox/Modules/grad_ari.cpp
  CToolbox/Modules/hess_ari.cpp
  CToolbox/Modules/linsys.cpp
  CToolbox/Modules/lop.cpp
  CToolbox/Modules/lop_ari.cpp
  CToolbox/Modules/lst1_ari.cpp
  CToolbox/Modules/lst_ari.cpp
  CToolbox/Modules/matinv.cpp
  CToolbox/Modules/nlfzero.cpp
  CToolbox/Modules/nlinsys.cpp
  CToolbox/Modules/rev_simp.cpp
  CToolbox/Modules/rpeval.cpp
  CToolbox/Modules/rpoly.cpp
  CToolbox/Modules/set_ari.cpp
  CToolbox/Modules/xi_ari.cpp
)
