=== src/fi_lib/CMakeLists.txt ===
set(fi_lib_src
  src/fi_lib/fi_lib_funcs.cpp
  src/fi_lib/j_acos.cpp
  src/fi_lib/j_acot.cpp
  src/fi_lib/j_acsh.cpp
  src/fi_lib/j_acth.cpp
  src/fi_lib/j_asin.cpp
  src/fi_lib/j_asnh.cpp
  src/fi_lib/j_atan.cpp
  src/fi_lib/j_atnh.cpp
  src/fi_lib/j_cos.cpp
  src/fi_lib/j_cosh.cpp
  src/fi_lib/j_cot.cpp
  src/fi_lib/j_coth.cpp
  src/fi_lib/j_erf.cpp
  src/fi_lib/j_ex10.cpp
  src/fi_lib/j_exp.cpp
  src/fi_lib/j_exp2.cpp
  src/fi_lib/j_expm.cpp
  src/fi_lib/j_lg10.cpp
  src/fi_lib/j_lg1p.cpp
  src/fi_lib/j_log.cpp
  src/fi_lib/j_log2.cpp
  src/fi_lib/j_sin.cpp
  src/fi_lib/j_sinh.cpp
  src/fi_lib/j_sqr.cpp
  src/fi_lib/j_sqrt.cpp
  src/fi_lib/j_tan.cpp
  src/fi_lib/j_tanh.cpp
  src/fi_lib/q_acos.cpp
  src/fi_lib/q_acot.cpp
  src/fi_lib/q_acsh.cpp
  src/fi_lib/q_acth.cpp
  src/fi_lib/q_ari.cpp
  src/fi_lib/q_asin.cpp
  src/fi_lib/q_asnh.cpp
  src/fi_lib/q_atan.cpp
  src/fi_lib/q_atn1.cpp
  src/fi_lib/q_atnh.cpp
  src/fi_lib/q_comp.cpp
  src/fi_lib/q_cos.cpp
  src/fi_lib/q_cos1.cpp
  src/fi_lib/q_cosh.cpp
  src/fi_lib/q_cot.cpp
  src/fi_lib/q_coth.cpp
  src/fi_lib/q_cth1.cpp
  src/fi_lib/q_ep1.cpp
  src/fi_lib/q_epm1.cpp
  src/fi_lib/q_erf.cpp
  src/fi_lib/q_errm.cpp
  src/fi_lib/q_ex10.cpp
  src/fi_lib/q_exp.cpp
  src/fi_lib/q_exp2.cpp
  src/fi_lib/q_expm.cpp
  src/fi_lib/q_glbl.cpp
  src/fi_lib/q_lg10.cpp
  src/fi_lib/q_log.cpp
  src/fi_lib/q_log1.cpp
  src/fi_lib/q_log2.cpp
  src/fi_lib/q_pred.cpp
  src/fi_lib/q_prnt.cpp
  src/fi_lib/q_rtrg.cpp
  src/fi_lib/q_scan.cpp
  src/fi_lib/q_sin.cpp
  src/fi_lib/q_sin1.cpp
  src/fi_lib/q_sinh.cpp
  src/fi_lib/q_sqr.cpp
  src/fi_lib/q_sqrt.cpp
  src/fi_lib/q_succ.cpp
  src/fi_lib/q_tan.cpp
  src/fi_lib/q_tanh.cpp
)
