=== src/rts/CMakeLists.txt ===
set(rts_src
  src/rts/a_abs_.c
  src/rts/a_add_.c
  src/rts/a_band.c
  src/rts/a_bclr.c
  src/rts/a_beqv.c
  src/rts/a_bmsb.c
  src/rts/a_bnot.c
  src/rts/a_bons.c
  src/rts/a_bor_.c
  src/rts/a_brtt.c
  src/rts/a_bset.c
  src/rts/a_bshf.c
  src/rts/a_btst.c
  src/rts/a_bxor.c
  src/rts/a_clck.c
  src/rts/a_div_.c
  src/rts/a_exit.c
  src/rts/a_free.c
  src/rts/a_gets.c
  src/rts/a_ival.c
  src/rts/a_ixch.c
  src/rts/a_lloc.c
  src/rts/a_mod_.c
  src/rts/a_mul_.c
  src/rts/a_nilc.c
  src/rts/a_popt.c
  src/rts/a_pptr.c
  src/rts/a_sets.c
  src/rts/a_sqr_.c
  src/rts/a_sub_.c
  src/rts/a_sval.c
  src/rts/a_syst.c
  src/rts/a_tick.c
  src/rts/a_time.c
  src/rts/a_umin.c
  src/rts/b_accu.c
  src/rts/b_acsh.c
  src/rts/b_acth.c
  src/rts/b_addc.c
  src/rts/b_addm.c
  src/rts/b_addu.c
  src/rts/b_adj.c
  src/rts/b_adpp.c
  src/rts/b_asgn.c
  src/rts/b_asin.c
  src/rts/b_asiv.c
  src/rts/b_asnh.c
  src/rts/b_atan.c
  src/rts/b_atav.c
  src/rts/b_atnh.c
  src/rts/b_baad.c
  src/rts/b_bacm.c
  src/rts/b_badd.c
  src/rts/b_badj.c
  src/rts/b_ball.c
  src/rts/b_banx.c
  src/rts/b_basu.c
  src/rts/b_bcad.c
  src/rts/b_bcat.c
  src/rts/b_bcdi.c
  src/rts/b_bcid.c
  src/rts/b_bclr.c
  src/rts/b_bcmp.c
  src/rts/b_bcpy.c
  src/rts/b_bcsu.c
  src/rts/b_bdiv.c
  src/rts/b_bdvn.c
  src/rts/b_bini.c
  src/rts/b_biv2.c
  src/rts/b_biv_.c
  src/rts/b_bivp.c
  src/rts/b_bldx.c
  src/rts/b_blgx.c
  src/rts/b_bmat.c
  src/rts/b_bmcm.c
  src/rts/b_bmdv.c
  src/rts/b_bms1.c
  src/rts/b_bms2.c
  src/rts/b_bmsh.c
  src/rts/b_bmsp.c
  src/rts/b_bmts.c
  src/rts/b_bmul.c
  src/rts/b_bmun.c
  src/rts/b_bnxt.c
  src/rts/b_bpnt.c
  src/rts/b_brnd.c
  src/rts/b_bshf.c
  src/rts/b_bsub.c
  src/rts/b_busp.c
  src/rts/b_chck.c
  src/rts/b_cmcp.c
  src/rts/b_comp.c
  src/rts/b_conf.c
  src/rts/b_coni.c
  src/rts/b_cos_.c
  src/rts/b_cosh.c
  src/rts/b_cot_.c
  src/rts/b_coth.c
  src/rts/b_cscn.c
  src/rts/b_deko.c
  src/rts/b_dtol.c
  src/rts/b_errr.c
  src/rts/b_exp_.c
  src/rts/b_expe.c
  src/rts/b_form.c
  src/rts/b_geta.c
  src/rts/b_gini.c
  src/rts/b_glbl.c
  src/rts/b_heap.c
  src/rts/b_ifrm.c
  src/rts/b_inv1.c
  src/rts/b_inv2.c
  src/rts/b_irnd.c
  src/rts/b_kapp.c
  src/rts/b_lnva.c
  src/rts/b_lnve.c
  src/rts/b_log_.c
  src/rts/b_loga.c
  src/rts/b_ltod.c
  src/rts/b_ltor.c
  src/rts/b_mdiv.c
  src/rts/b_muad.c
  src/rts/b_op88.c
  src/rts/b_out.c
  src/rts/b_outf.c
  src/rts/b_outi.c
  src/rts/b_outm.c
  src/rts/b_pi__.c
  src/rts/b_pign.c
  src/rts/b_pool.c
  src/rts/b_popt.c
  src/rts/b_pow_.c
  src/rts/b_prod.c
  src/rts/b_rnd.c
  src/rts/b_rndd.c
  src/rts/b_rndn.c
  src/rts/b_rndu.c
  src/rts/b_rtol.c
  src/rts/b_scan.c
  src/rts/b_shl1.c
  src/rts/b_shlu.c
  src/rts/b_shr1.c
  src/rts/b_shru.c
  src/rts/b_sico.c
  src/rts/b_sin_.c
  src/rts/b_sinh.c
  src/rts/b_snhv.c
  src/rts/b_sqrt.c
  src/rts/b_sqrv.c
  src/rts/b_subc.c
  src/rts/b_subm.c
  src/rts/b_subu.c
  src/rts/b_tadd.c
  src/rts/b_tadj.c
  src/rts/b_tan_.c
  src/rts/b_tanh.c
  src/rts/b_tcom.c
  src/rts/b_tdek.c
  src/rts/b_tdiv.c
  src/rts/b_test.c
  src/rts/b_text.c
  src/rts/b_tmdv.c
  src/rts/b_tmpf.c
  src/rts/b_tmul.c
  src/rts/b_trnd.c
  src/rts/b_tsub.c
  src/rts/c_cadd.c
  src/rts/c_csub.c
  src/rts/c_dadd.c
  src/rts/c_dsta.c
  src/rts/c_dsub.c
  src/rts/c_padd.c
  src/rts/c_psub.c
  src/rts/c_rcad.c
  src/rts/c_rcsb.c
  src/rts/c_scps.c
  src/rts/c_scpy.c
  src/rts/c_stad.c
  src/rts/c_stan.c
  src/rts/c_stau.c
  src/rts/d_ass.c
  src/rts/d_assc.c
  src/rts/d_assi.c
  src/rts/d_assz.c
  src/rts/d_chs.c
  src/rts/d_clr.c
  src/rts/d_dadd.c
  src/rts/d_dsub.c
  src/rts/d_eq.c
  src/rts/d_free.c
  src/rts/d_ge.c
  src/rts/d_gt.c
  src/rts/d_init.c
  src/rts/d_le.c
  src/rts/d_lt.c
  src/rts/d_ne.c
  src/rts/d_padd.c
  src/rts/d_psub.c
  src/rts/d_radd.c
  src/rts/d_rsub.c
  src/rts/d_sign.c
  src/rts/d_stad.c
  src/rts/d_stan.c
  src/rts/d_stau.c
  src/rts/d_temp.c
  src/rts/d_utmp.c
  src/rts/d_vlcp.c
  src/rts/e_actn.c
  src/rts/e_back.c
  src/rts/e_bmsg.c
  src/rts/e_data.c
  src/rts/e_ieee.c
  src/rts/e_ienv.c
  src/rts/e_popp.c
  src/rts/e_push.c
  src/rts/e_tmrt.c
  src/rts/e_tmsg.c
  src/rts/e_tprt.c
  src/rts/e_trap.c
  src/rts/e_xall.c
  src/rts/e_xarg.c
  src/rts/e_xdbz.c
  src/rts/e_xine.c
  src/rts/e_xiob.c
  src/rts/e_xiop.c
  src/rts/e_xios.c
  src/rts/e_xnor.c
  src/rts/e_xofl.c
  src/rts/e_xset.c
  src/rts/e_xufl.c
  src/rts/f_args.c
  src/rts/f_assg.c
  src/rts/f_back.c
  src/rts/f_bhex.c
  src/rts/f_eofp.c
  src/rts/f_exst.c
  src/rts/f_flsh.c
  src/rts/f_free.c
  src/rts/f_get_.c
  src/rts/f_getc.c
  src/rts/f_op88.c
  src/rts/f_popt.c
  src/rts/f_put_.c
  src/rts/f_putc.c
  src/rts/f_quer.c
  src/rts/f_rdf1.c
  src/rts/f_rdh1.c
  src/rts/f_rdi1.c
  src/rts/f_rdl1.c
  src/rts/f_rdl2.c
  src/rts/f_rdln.c
  src/rts/f_rdr1.c
  src/rts/f_rdr2.c
  src/rts/f_rds1.c
  src/rts/f_rdv1.c
  src/rts/f_read.c
  src/rts/f_rhex.c
  src/rts/f_rint.c
  src/rts/f_rset.c
  src/rts/f_rstn.c
  src/rts/f_rwri.c
  src/rts/f_rwrn.c
  src/rts/f_sexs.c
  src/rts/f_srse.c
  src/rts/f_srwi.c
  src/rts/f_whex.c
  src/rts/f_wint.c
  src/rts/f_wrb1.c
  src/rts/f_wrb2.c
  src/rts/f_wrc1.c
  src/rts/f_wrc2.c
  src/rts/f_wrd1.c
  src/rts/f_wrf1.c
  src/rts/f_wrf2.c
  src/rts/f_wrf3.c
  src/rts/f_wrf4.c
  src/rts/f_wrh1.c
  src/rts/f_wrh2.c
  src/rts/f_wri1.c
  src/rts/f_wri2.c
  src/rts/f_wrid.c
  src/rts/f_writ.c
  src/rts/f_wrl1.c
  src/rts/f_wrl2.c
  src/rts/f_wrl3.c
  src/rts/f_wrl4.c
  src/rts/f_wrln.c
  src/rts/f_wrr1.c
  src/rts/f_wrr2.c
  src/rts/f_wrr3.c
  src/rts/f_wrr4.c
  src/rts/f_wrs1.c
  src/rts/f_wrs2.c
  src/rts/i_acos.c
  src/rts/i_acot.c
  src/rts/i_acsh.c
  src/rts/i_acth.c
  src/rts/i_asin.c
  src/rts/i_asnh.c
  src/rts/i_atan.c
  src/rts/i_atnh.c
  src/rts/i_cns2.c
  src/rts/i_cnst.c
  src/rts/i_cos.c
  src/rts/i_cosh.c
  src/rts/i_cot.c
  src/rts/i_coth.c
  src/rts/i_dadd.c
  src/rts/i_dsta.c
  src/rts/i_dsub.c
  src/rts/i_ep10.c
  src/rts/i_exp.c
  src/rts/i_exp2.c
  src/rts/i_iadd.c
  src/rts/i_ista.c
  src/rts/i_isub.c
  src/rts/i_lg10.c
  src/rts/i_log.c
  src/rts/i_log2.c
  src/rts/i_loga.c
  src/rts/i_padd.c
  src/rts/i_pow.c
  src/rts/i_psub.c
  src/rts/i_read.c
  src/rts/i_riad.c
  src/rts/i_risb.c
  src/rts/i_scps.c
  src/rts/i_scpy.c
  src/rts/i_sin.c
  src/rts/i_sinh.c
  src/rts/i_sqrt.c
  src/rts/i_tan.c
  src/rts/i_tanh.c
  src/rts/l_abs.c
  src/rts/l_acos.c
  src/rts/l_acot.c
  src/rts/l_acsh.c
  src/rts/l_acth.c
  src/rts/l_addc.c
  src/rts/l_addd.c
  src/rts/l_addu.c
  src/rts/l_asin.c
  src/rts/l_asnh.c
  src/rts/l_ass.c
  src/rts/l_atan.c
  src/rts/l_atn2.c
  src/rts/l_atnh.c
  src/rts/l_comp.c
  src/rts/l_conv.c
  src/rts/l_cos.c
  src/rts/l_cosh.c
  src/rts/l_cot.c
  src/rts/l_coth.c
  src/rts/l_divc.c
  src/rts/l_divd.c
  src/rts/l_divu.c
  src/rts/l_eq.c
  src/rts/l_exct.c
  src/rts/l_exp.c
  src/rts/l_expo.c
  src/rts/l_flot.c
  src/rts/l_free.c
  src/rts/l_ge.c
  src/rts/l_gt.c
  src/rts/l_init.c
  src/rts/l_le.c
  src/rts/l_log.c
  src/rts/l_loga.c
  src/rts/l_lt.c
  src/rts/l_mant.c
  src/rts/l_mlen.c
  src/rts/l_mulc.c
  src/rts/l_muld.c
  src/rts/l_mulu.c
  src/rts/l_ne.c
  src/rts/l_pow.c
  src/rts/l_prec.c
  src/rts/l_pred.c
  src/rts/l_read.c
  src/rts/l_rond.c
  src/rts/l_rprc.c
  src/rts/l_rval.c
  src/rts/l_sign.c
  src/rts/l_sin.c
  src/rts/l_sinh.c
  src/rts/l_sqrt.c
  src/rts/l_subc.c
  src/rts/l_subd.c
  src/rts/l_subu.c
  src/rts/l_succ.c
  src/rts/l_tan.c
  src/rts/l_tanh.c
  src/rts/l_temp.c
  src/rts/l_trun.c
  src/rts/l_ttmp.c
  src/rts/l_umin.c
  src/rts/l_utmp.c
  src/rts/l_vlcp.c
  src/rts/l_whex.c
  src/rts/l_writ.c
  src/rts/o_user.c
  src/rts/p_init.c
  src/rts/r_abs.c
  src/rts/r_acos.c
  src/rts/r_acot.c
  src/rts/r_acsh.c
  src/rts/r_acth.c
  src/rts/r_addd.c
  src/rts/r_addn.c
  src/rts/r_addu.c
  src/rts/r_asin.c
  src/rts/r_asnh.c
  src/rts/r_ass.c
  src/rts/r_atan.c
  src/rts/r_atn2.c
  src/rts/r_atnh.c
  src/rts/r_aval.c
  src/rts/r_ceil.c
  src/rts/r_clss.c
  src/rts/r_cnsd.c
  src/rts/r_cnst.c
  src/rts/r_cnsu.c
  src/rts/r_comp.c
  src/rts/r_conv.c
  src/rts/r_cos.c
  src/rts/r_cosh.c
  src/rts/r_cot.c
  src/rts/r_coth.c
  src/rts/r_divd.c
  src/rts/r_divn.c
  src/rts/r_divu.c
  src/rts/r_ep10.c
  src/rts/r_eq.c
  src/rts/r_exp.c
  src/rts/r_exp2.c
  src/rts/r_expo.c
  src/rts/r_fini.c
  src/rts/r_flor.c
  src/rts/r_flot.c
  src/rts/r_frac.c
  src/rts/r_ftrp.c
  src/rts/r_ge.c
  src/rts/r_gt.c
  src/rts/r_le.c
  src/rts/r_lg10.c
  src/rts/r_log.c
  src/rts/r_log2.c
  src/rts/r_loga.c
  src/rts/r_lt.c
  src/rts/r_mant.c
  src/rts/r_muld.c
  src/rts/r_muln.c
  src/rts/r_mulu.c
  src/rts/r_ne.c
  src/rts/r_outp.c
  src/rts/r_pcmp.c
  src/rts/r_pow.c
  src/rts/r_pred.c
  src/rts/r_rdcr.c
  src/rts/r_read.c
  src/rts/r_rond.c
  src/rts/r_rval.c
  src/rts/r_scps.c
  src/rts/r_scpy.c
  src/rts/r_sign.c
  src/rts/r_sin.c
  src/rts/r_sinh.c
  src/rts/r_sqr_.c
  src/rts/r_sqrt.c
  src/rts/r_subd.c
  src/rts/r_subn.c
  src/rts/r_subu.c
  src/rts/r_succ.c
  src/rts/r_sval.c
  src/rts/r_tan.c
  src/rts/r_tanh.c
  src/rts/r_trun.c
  src/rts/r_umin.c
  src/rts/r_valu.c
  src/rts/r_writ.c
  src/rts/s_aacc.c
  src/rts/s_aaeq.c
  src/rts/s_aage.c
  src/rts/s_aagt.c
  src/rts/s_aain.c
  src/rts/s_aale.c
  src/rts/s_aalt.c
  src/rts/s_aane.c
  src/rts/s_accc.c
  src/rts/s_aceq.c
  src/rts/s_acge.c
  src/rts/s_acgt.c
  src/rts/s_acle.c
  src/rts/s_aclt.c
  src/rts/s_acne.c
  src/rts/s_add.c
  src/rts/s_aimg.c
  src/rts/s_alen.c
  src/rts/s_asgn.c
  src/rts/s_cacc.c
  src/rts/s_caeq.c
  src/rts/s_cage.c
  src/rts/s_cagt.c
  src/rts/s_cain.c
  src/rts/s_cale.c
  src/rts/s_calt.c
  src/rts/s_cane.c
  src/rts/s_char.c
  src/rts/s_conc.c
  src/rts/s_cons.c
  src/rts/s_cpos.c
  src/rts/s_cseq.c
  src/rts/s_csge.c
  src/rts/s_csgt.c
  src/rts/s_csle.c
  src/rts/s_cslt.c
  src/rts/s_csne.c
  src/rts/s_date.c
  src/rts/s_eteq.c
  src/rts/s_etge.c
  src/rts/s_etgt.c
  src/rts/s_etin.c
  src/rts/s_etle.c
  src/rts/s_etlt.c
  src/rts/s_etne.c
  src/rts/s_free.c
  src/rts/s_genv.c
  src/rts/s_init.c
  src/rts/s_ins1.c
  src/rts/s_ins2.c
  src/rts/s_int_.c
  src/rts/s_inxc.c
  src/rts/s_ixch.c
  src/rts/s_ixcn.c
  src/rts/s_len_.c
  src/rts/s_mul.c
  src/rts/s_real.c
  src/rts/s_rhex.c
  src/rts/s_sceq.c
  src/rts/s_scge.c
  src/rts/s_scgt.c
  src/rts/s_scle.c
  src/rts/s_sclt.c
  src/rts/s_scne.c
  src/rts/s_slen.c
  src/rts/s_spos.c
  src/rts/s_sseq.c
  src/rts/s_ssge.c
  src/rts/s_ssgt.c
  src/rts/s_ssle.c
  src/rts/s_sslt.c
  src/rts/s_ssne.c
  src/rts/s_stat.c
  src/rts/s_sub.c
  src/rts/s_suba.c
  src/rts/s_subs.c
  src/rts/s_temp.c
  src/rts/s_utmp.c
  src/rts/s_vlcp.c
  src/rts/s_whex.c
  src/rts/s_zero.c
  src/rts/t_abse.c
  src/rts/t_acos.c
  src/rts/t_acot.c
  src/rts/t_acsh.c
  src/rts/t_acth.c
  src/rts/t_acvt.c
  src/rts/t_asin.c
  src/rts/t_asnh.c
  src/rts/t_asvt.c
  src/rts/t_atan.c
  src/rts/t_atn2.c
  src/rts/t_atnh.c
  src/rts/t_cha1.c
  src/rts/t_cha2.c
  src/rts/t_cher.c
  src/rts/t_chi1.c
  src/rts/t_chi2.c
  src/rts/t_chiv.c
  src/rts/t_chk1.c
  src/rts/t_chse.c
  src/rts/t_cmpe.c
  src/rts/t_cnst.c
  src/rts/t_conv.c
  src/rts/t_cos.c
  src/rts/t_cosh.c
  src/rts/t_cot.c
  src/rts/t_coth.c
  src/rts/t_cpye.c
  src/rts/t_ctoe.c
  src/rts/t_dadd.c
  src/rts/t_das_.c
  src/rts/t_dcmp.c
  src/rts/t_dcnv.c
  src/rts/t_dcpy.c
  src/rts/t_dcst.c
  src/rts/t_deml.c
  src/rts/t_dhi1.c
  src/rts/t_dhi2.c
  src/rts/t_dhl1.c
  src/rts/t_dhl2.c
  src/rts/t_dmsc.c
  src/rts/t_dmul.c
  src/rts/t_dnrm.c
  src/rts/t_dsub.c
  src/rts/t_ecst.c
  src/rts/t_ehi1.c
  src/rts/t_ehi2.c
  src/rts/t_ehl1.c
  src/rts/t_ehl2.c
  src/rts/t_etoa.c
  src/rts/t_etoi.c
  src/rts/t_ex10.c
  src/rts/t_exme.c
  src/rts/t_exp.c
  src/rts/t_exp2.c
  src/rts/t_glbl.c
  src/rts/t_gtrg.c
  src/rts/t_iaah.c
  src/rts/t_iabs.c
  src/rts/t_iabt.c
  src/rts/t_iacs.c
  src/rts/t_iact.c
  src/rts/t_ianh.c
  src/rts/t_iash.c
  src/rts/t_iasn.c
  src/rts/t_iath.c
  src/rts/t_iatn.c
  src/rts/t_ichs.c
  src/rts/t_icos.c
  src/rts/t_icot.c
  src/rts/t_icpe.c
  src/rts/t_icsh.c
  src/rts/t_icth.c
